# List Network Public

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/networks`

Lists <Databricks> network configurations for an account.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `account_id` (string, optional)

## Returns

- `networks` (array of object, optional)
  - `network_id` (string, optional)
    The <Databricks> network configuration ID.
  - `account_id` (string, optional)
    The <Databricks> account ID associated with this network configuration.
  - `workspace_id` (int64, optional)
    Workspace ID associated with this network configuration.
    Example: `1614665312930232`
  - `vpc_id` (string, optional)
    The ID of the VPC associated with this network configuration. VPC IDs can be used in multiple networks.
  - `subnet_ids` (array of string, optional)
    IDs of at least two subnets associated with this network. Subnet IDs **cannot** be used in multiple network configurations.
  - `security_group_ids` (array of string, optional)
    IDs of one to five security groups associated with this network. Security group IDs **cannot** be used in multiple network configurations.
    Constraints: `[ 1 .. 5 ] characters`
  - `vpc_status` (string, optional)
    Possible values: `VALID`, `BROKEN`, `UNATTACHED`, `WARNED`
  - `error_messages` (array of object, optional)
    Array of error messages about the network configuration.
    - `error_type` (string, optional)
    - `error_message` (string, optional)
      Details of the error.
  - `network_name` (string, optional)
    The human-readable name of the network configuration.
    Constraints: `[ 4 .. 256 ] characters`
  - `creation_time` (int64, optional)
    Time in epoch milliseconds when the network was created.
  - `warning_messages` (array of object, optional)
    Array of warning messages about the network configuration.
    - `warning_type` (string, optional)
    - `warning_message` (string, optional)
      Details of the warning.
  - `vpc_endpoints` (object, optional)
    - `rest_api` (array of string, optional)
      The VPC endpoint ID used by this network to access the Databricks REST API.
    - `dataplane_relay` (array of string, optional)
      The VPC endpoint ID used by this network to access the <Databricks> secure cluster connectivity relay.
  - `gcp_network_info` (object, required)
    - `network_project_id` (string, optional)
      The GCP project ID for network resources. This project is where the VPC and subnet resides.
      Example: `my-gcp-project-123`
    - `vpc_id` (string, optional)
      The customer-provided VPC ID.
      Example: `my-vpc-123`
    - `subnet_id` (string, optional)
      The customer-provided Subnet ID that will be available to Clusters in Workspaces using this
       Network.
      Example: `my-subnet-123`
    - `subnet_region` (string, optional)
      Example: `us-east4`
    - `pod_ip_range_name` (string, optional)
      Name of the secondary range within the subnet that will be used by GKE as Pod IP range.
       This is BYO VPC specific. DB VPC uses network.getGcpManagedNetworkConfig.getGkeClusterPodIpRange
      Example: `my-pod-ip-range-123`
    - `service_ip_range_name` (string, optional)
      Name of the secondary range within the subnet that will be used by GKE as Service IP range.
      Example: `my-service-ip-range-123`

## Response

```json
{
  "networks": [
    {
      "network_id": "string",
      "account_id": "string",
      "workspace_id": "1614665312930232",
      "vpc_id": "string",
      "subnet_ids": [
        "string"
      ],
      "security_group_ids": [
        "string"
      ],
      "vpc_status": "string",
      "error_messages": [
        {}
      ],
      "network_name": "string",
      "creation_time": 0,
      "warning_messages": [
        {}
      ],
      "vpc_endpoints": {},
      "gcp_network_info": {}
    }
  ]
}
```

